Name:           jmdns
Version:        3.4.1
Release:        3%{?dist}
Summary:        Java implementation of multi-cast DNS

# The project was originally developed under the GNU
# Lesser General Public License. It was later moved to Sourceforge
# and re-released under the Apache License, Version 2.0.
# See NOTICE.txt for more details
License:        ASL 2.0 and LGPLv2+
URL:            http://jmdns.sourceforge.net/
# svn checkout https://jmdns.svn.sourceforge.net/svnroot/jmdns/tags/jmdns-%{version} jmdns-%{version}
# cd jmdns-%{version}
# find . -name .svn -exec rm -Rf {} +
# rm -Rf .classpath clover.license.txt jmdns.* lib/ devdocs/ fulllogging.properties
# rm -Rf checkstyle.xml .settings .project src/site/
# cd ..
# tar czvf jmdns-%{version}.tar.gz jmdns-%{version}
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.sonatype.oss:oss-parent)

BuildArch:      noarch

%description
JmDNS is a Java implementation of multi-cast DNS
and can be used for service registration and discovery
in local area networks. JmDNS is fully compatible
with Apple's Bonjour.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}

# Fix FSF address
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," \
  src/sample/java/samples/DiscoverServiceTypes.java LICENSE-LGPL.txt

chmod -x README.txt LICENSE-LGPL.txt
sed -i 's/\r//' LICENSE-LGPL.txt

%build
# Tests are disabled because they try to use network
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE LICENSE-LGPL.txt NOTICE.txt README.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE LICENSE-LGPL.txt NOTICE.txt README.txt


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Michal Srb <msrb@redhat.com> - 3.4.1-2
- Fix license tag
- Fix rpmlint warnings

* Thu May 02 2013 Michal Srb <msrb@redhat.com> - 3.4.1-1
- Initial package

